Hyperic Agent: Errors When Starting on Solaris

This section applies to Solaris platforms only.

If you try to start the Hyperic Agent on Solaris and get errors similar to the following:

prompt$ cd /opt/vmware/hyperic/agent-4.5.0.7-EE/bin
prompt$ ./hq-agent.sh start

Bad string
Unable to locate any of the following binaries:
/opt/vmware/hyperic/agent-4.5.0.7-EE/wrapper/sbin/../../wrapper/sbin/wrapper---32
/opt/vmware/hyperic/agent-4.5.0.7-EE/wrapper/sbin/../../wrapper/sbin/wrapper---64
/opt/vmware/hyperic/agent-4.5.0.7-EE/wrapper/sbin/../../wrapper/sbin/wrapper
...

make sure that you have set the locale correctly on your Solaris computer. In particular, the locale must not be set to a UTF-8 locale, such as en_US.UTF-8. The following are sample settings for the LC_CTYPE environment variable that resolve the problem:

LC_CTYPE=en_US
LC_CTYPE=en_US.ISO8859-1
LC_CTYPE=en_US.ISO8859-15